<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes"/>
<xsl:template match="/">

<Contents Find="TickerItem" >
	<TickerHeader Text="            " />
	<xsl:for-each select="DATOM">
		<TickerItem	>
			<xsl:attribute name="Link"><xsl:value-of select="URL"/>&amp;src=tkr</xsl:attribute>

			<Item TextColor="skin.epbar.ticker.headercolor" >
				<xsl:attribute name="Text"><xsl:value-of select="WEATHER/@ALTCITY"/>&#32;&#32;</xsl:attribute>
			</Item>

			<Item>
				<xsl:attribute name="Text"><xsl:value-of select="TITLE"/>&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;</xsl:attribute>
			</Item>

			<ClickAction>
				<xsl:attribute name="ALERTID"><xsl:value-of select="@ALERTID"/></xsl:attribute>
				<xsl:if test="../@TTYPE == 'alert'">
					<xsl:attribute name="TYPE">ALERT</xsl:attribute>
				</xsl:if> 
			</ClickAction>

<ABSTRACT><xsl:value-of select="WEATHER/@ALTCITY"/>&#13;
<xsl:value-of select="WEATHER/@DATE"/>&#13;&#13;
<xsl:value-of select="TITLE"/>&#13;
<xsl:for-each select="WEATHER">
<xsl:for-each select="FORECAST">
<xsl:for-each select="DAY">
	<xsl:choose>
		<xsl:when test="@DAY==1">&#13;Sun</xsl:when>
		<xsl:when test="@DAY==2">&#13;Mon</xsl:when>
		<xsl:when test="@DAY==3">&#13;Tue</xsl:when>
		<xsl:when test="@DAY==4">&#13;Wed</xsl:when>
		<xsl:when test="@DAY==5">&#13;Thu</xsl:when>
		<xsl:when test="@DAY==6">&#13;Fri</xsl:when>
		<xsl:when test="@DAY==7">&#13;Sat</xsl:when>
	</xsl:choose>
	<xsl:choose>
		<xsl:when test ="../../@PREF = 'C'">
&#09;<xsl:value-of select="@HiC"/>\<xsl:value-of select="@LoC"/>&#09;<xsl:value-of select="@CondStr"/>
		</xsl:when>
		<xsl:otherwise>
&#09;<xsl:value-of select="@HiF"/>\<xsl:value-of select="@LoF"/>&#09;<xsl:value-of select="@CondStr"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</ABSTRACT>

		</TickerItem>
	</xsl:for-each>
</Contents>
</xsl:template>
</xsl:stylesheet>
